package org.greenstone.gsdl3.gs3build;

import java.io.File;

import org.greenstone.gsdl3.gs3build.doctypes.*;

import org.greenstone.gsdl3.gs3build.util.GS3SQLConnection;
import org.greenstone.gsdl3.gs3build.util.GS3SQLConnectionFactory;

public class GSDataDump
{ 
  public static void main(String args[])
  {
    String database = args[0];

    GS3SQLConnection connection = GS3SQLConnectionFactory.createConnection(database);
    DocumentList docList = DocumentList.readSQLDocuments(connection);
    docList.writeDocuments(new File(database));
  }
}
