package org.greenstone.gsdl3.gs3build.metadata;

import java.util.List;
import java.util.ArrayList;

public class METSHeader
{
	List agents;
	METSDate createDate;
	METSDate lastModDate;

	public METSHeader()
	{
		this.agents = new ArrayList();
	}

	public METSHeader(METSAgent defaultAgent)
	{	this();
		this.agents.add(defaultAgent);
	}

	public void setCreateDate(METSDate createDate)
	{	this.createDate = createDate;
	}

	public void setModifiedDate(METSDate modifiedDate)
	{	this.lastModDate = modifiedDate;
	}
}